This is the mail archive of the glibc-cvs@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

GNU C Library master sources branch master updated. glibc-2.19-871-gf469c49


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  f469c49f921d1809eed5e483606e8a859318b8c6 (commit)
      from  656b84c2ef525e3b69802c9057c5897e327b0332 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://sourceware.org/git/gitweb.cgi?p=glibc.git;a=commitdiff;h=f469c49f921d1809eed5e483606e8a859318b8c6

commit f469c49f921d1809eed5e483606e8a859318b8c6
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Mon Aug 4 10:31:27 2014 -0400

    tst-gettext2: make setup more robust
    
    This test should be more robust about setting up its lang dirs.
    I had two completely different systems (ia64 & x86_64) get wedged
    in a way where the test just kept FAILing on me due to some of the
    files missing.  This probably wasn't a big deal until the recent
    commit which made checking of the locale dirs more robust (for
    security reasons).

diff --git a/ChangeLog b/ChangeLog
index 1702300..af9cf96 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2014-08-08  Mike Frysinger  <vapier@gentoo.org>
+
+	* intl/tst-gettext2.sh: Check every lang file for creation.
+
 2014-08-07  Wilco Dijkstra  <wdijkstr@arm.com>
 
 	* sysdeps/aarch64/fpu/math_private.h
diff --git a/intl/tst-gettext2.sh b/intl/tst-gettext2.sh
index b4d203d..3bac6c9 100644
--- a/intl/tst-gettext2.sh
+++ b/intl/tst-gettext2.sh
@@ -28,27 +28,23 @@ objpfx=$5
 # Generate the test data.
 mkdir -p ${objpfx}domaindir
 # Create the locale directories.
-test -d ${objpfx}domaindir/lang1 || {
-  mkdir ${objpfx}domaindir/lang1
-  for f in ADDRESS COLLATE CTYPE IDENTIFICATION MEASUREMENT MONETARY NAME NUMERIC PAPER TELEPHONE TIME; do
+mkdir -p \
+  ${objpfx}domaindir/lang1/LC_MESSAGES \
+  ${objpfx}domaindir/lang2/LC_MESSAGES
+
+for f in ADDRESS COLLATE CTYPE IDENTIFICATION MEASUREMENT MONETARY NAME NUMERIC PAPER TELEPHONE TIME; do
+  [ -e ${objpfx}domaindir/lang1/LC_$f ] ||
     cp ${common_objpfx}localedata/de_DE.ISO-8859-1/LC_$f \
        ${objpfx}domaindir/lang1
-  done
-}
-test -d ${objpfx}domaindir/lang2 || {
-  mkdir ${objpfx}domaindir/lang2
-  for f in ADDRESS COLLATE CTYPE IDENTIFICATION MEASUREMENT MONETARY NAME NUMERIC PAPER TELEPHONE TIME; do
+  [ -e ${objpfx}domaindir/lang2/LC_$f ] ||
     cp ${common_objpfx}localedata/de_DE.ISO-8859-1/LC_$f \
        ${objpfx}domaindir/lang2
-  done
-}
-test -d ${objpfx}domaindir/lang1/LC_MESSAGES || {
-  mkdir ${objpfx}domaindir/lang1/LC_MESSAGES
+done
+test -e ${objpfx}domaindir/lang1/LC_MESSAGES/SYS_LC_MESSAGES || {
   cp ${common_objpfx}localedata/de_DE.ISO-8859-1/LC_MESSAGES/SYS_LC_MESSAGES \
      ${objpfx}domaindir/lang1/LC_MESSAGES
 }
-test -d ${objpfx}domaindir/lang2/LC_MESSAGES || {
-  mkdir ${objpfx}domaindir/lang2/LC_MESSAGES
+test -e ${objpfx}domaindir/lang2/LC_MESSAGES/SYS_LC_MESSAGES || {
   cp ${common_objpfx}localedata/de_DE.ISO-8859-1/LC_MESSAGES/SYS_LC_MESSAGES \
      ${objpfx}domaindir/lang2/LC_MESSAGES
 }

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog            |    4 ++++
 intl/tst-gettext2.sh |   24 ++++++++++--------------
 2 files changed, 14 insertions(+), 14 deletions(-)


hooks/post-receive
-- 
GNU C Library master sources


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]